<?php
/**
* Sidebar Metabox.
*
* @package Raute
*/
 
add_action( 'add_meta_boxes', 'raute_metabox' );

if( ! function_exists( 'raute_metabox' ) ):


    function  raute_metabox() {
        
        add_meta_box(
            'raute-custom-metabox',
            esc_html__( 'Layout Settings', 'raute' ),
            'raute_post_metafield_callback',
            'post', 
            'normal', 
            'high'
        );
        add_meta_box(
            'raute-custom-metabox',
            esc_html__( 'Layout Settings', 'raute' ),
            'raute_post_metafield_callback',
            'page',
            'normal', 
            'high'
        ); 
    }

endif;

$raute_post_sidebar_fields = array(
    'global-sidebar' => array(
                    'id'        => 'post-global-sidebar',
                    'value' => 'global-sidebar',
                    'label' => esc_html__( 'Global sidebar', 'raute' ),
                ),
    'right-sidebar' => array(
                    'id'        => 'post-left-sidebar',
                    'value' => 'right-sidebar',
                    'label' => esc_html__( 'Right sidebar', 'raute' ),
                ),
    'left-sidebar' => array(
                    'id'        => 'post-right-sidebar',
                    'value'     => 'left-sidebar',
                    'label'     => esc_html__( 'Left sidebar', 'raute' ),
                ),
    'no-sidebar' => array(
                    'id'        => 'post-no-sidebar',
                    'value'     => 'no-sidebar',
                    'label'     => esc_html__( 'No sidebar', 'raute' ),
                ),
);

/**
 * Callback function for post option.
*/
if( ! function_exists( 'raute_post_metafield_callback' ) ):
    
	function raute_post_metafield_callback() {
		global $post, $raute_post_sidebar_fields;
        $post_type = get_post_type($post->ID);
		wp_nonce_field( basename( __FILE__ ), 'raute_post_meta_nonce' ); ?>
        
        <div class="metabox-main-block">

            <div class="metabox-navbar">
                <ul>

                    <li>
                        <a id="metabox-navbar-general" class="metabox-navbar-active" href="javascript:void(0)">

                            <?php esc_html_e('General Settings', 'raute'); ?>

                        </a>
                    </li>

                    <?php if( $post_type == 'post' ): ?>
                        <li>
                            <a id="metabox-navbar-appearance" href="javascript:void(0)">

                                <?php esc_html_e('Appearance Settings', 'raute'); ?>

                            </a>
                        </li>
                    <?php endif; ?>

                    <?php if( $post_type == 'post' && class_exists('Booster_Extension_Class') ): ?>
                        <li>
                            <a id="twp-tab-booster" href="javascript:void(0)">

                                <?php esc_html_e('Booster Extension Settings', 'raute'); ?>

                            </a>
                        </li>
                    <?php endif; ?>

                </ul>
            </div>

            <div class="twp-tab-content">

                <div id="metabox-navbar-general-content" class="metabox-content-wrap metabox-content-wrap-active">

                    <div class="metabox-opt-panel">

                        <h3 class="meta-opt-title"><?php esc_html_e('Sidebar Layout','raute'); ?></h3>

                        <div class="metabox-opt-wrap metabox-opt-wrap-alt">

                            <?php
                            $raute_post_sidebar = esc_html( get_post_meta( $post->ID, 'raute_post_sidebar_option', true ) ); 
                            if( $raute_post_sidebar == '' ){ $raute_post_sidebar = 'global-sidebar'; }

                            foreach ( $raute_post_sidebar_fields as $raute_post_sidebar_field) { ?>

                                <label class="description">

                                    <input type="radio" name="raute_post_sidebar_option" value="<?php echo esc_attr( $raute_post_sidebar_field['value'] ); ?>" <?php if( $raute_post_sidebar_field['value'] == $raute_post_sidebar ){ echo "checked='checked'";} if( empty( $raute_post_sidebar ) && $raute_post_sidebar_field['value']=='right-sidebar' ){ echo "checked='checked'"; } ?>/>&nbsp;<?php echo esc_html( $raute_post_sidebar_field['label'] ); ?>

                                </label>

                            <?php } ?>

                        </div>

                    </div>

                    <div class="metabox-opt-panel">

                        <h3 class="meta-opt-title"><?php esc_html_e('Navigation Setting','raute'); ?></h3>

                        <?php $twp_disable_ajax_load_next_post = esc_attr( get_post_meta($post->ID, 'twp_disable_ajax_load_next_post', true) ); ?>
                        <div class="metabox-opt-wrap metabox-opt-wrap-alt">

                            <label><b><?php esc_html_e( 'Navigation Type','raute' ); ?></b></label>

                            <select name="twp_disable_ajax_load_next_post">

                                <option <?php if( $twp_disable_ajax_load_next_post == '' || $twp_disable_ajax_load_next_post == 'global-layout' ){ echo 'selected'; } ?> value="global-layout"><?php esc_html_e('Global Layout','raute'); ?></option>
                                <option <?php if( $twp_disable_ajax_load_next_post == 'no-navigation' ){ echo 'selected'; } ?> value="no-navigation"><?php esc_html_e('Disable Navigation','raute'); ?></option>
                                <option <?php if( $twp_disable_ajax_load_next_post == 'norma-navigation' ){ echo 'selected'; } ?> value="norma-navigation"><?php esc_html_e('Next Previous Navigation','raute'); ?></option>
                                <option <?php if( $twp_disable_ajax_load_next_post == 'ajax-next-post-load' ){ echo 'selected'; } ?> value="ajax-next-post-load"><?php esc_html_e('Ajax Load Next 3 Posts Contents','raute'); ?></option>

                            </select>

                        </div>
                    </div>

                </div>

                <?php if( $post_type == 'post' ): ?>

                    <div id="metabox-navbar-appearance-content" class="metabox-content-wrap">

                        <div class="metabox-opt-panel">

                            <h3 class="meta-opt-title"><?php esc_html_e('Feature Image Setting','raute'); ?></h3>

                                <?php
                                $raute_ed_feature_image = esc_html( get_post_meta( $post->ID, 'raute_ed_feature_image', true ) ); ?>

                            <div class="metabox-opt-wrap twp-checkbox-wrap">

                                <input type="checkbox" id="raute-ed-feature-image" name="raute_ed_feature_image" value="1" <?php if( $raute_ed_feature_image ){ echo "checked='checked'";} ?>/>
                                <label for="raute-ed-feature-image"><?php esc_html_e( 'Disable Feature Image','raute' ); ?></label>

                            </div>

                        </div>

                        <div class="metabox-opt-panel">

                            <h3 class="meta-opt-title"><?php esc_html_e('Video Aspect Ration Setting','raute'); ?></h3>

                            <?php $twp_aspect_ratio = esc_attr( get_post_meta($post->ID, 'twp_aspect_ratio', true) ); ?>
                            <div class="metabox-opt-wrap metabox-opt-wrap-alt">

                                <label><b><?php esc_html_e( 'Video Aspect Ratio','raute' ); ?></b></label>

                                <select name="twp_aspect_ratio">

                                    <option <?php if( $twp_aspect_ratio == '' || $twp_aspect_ratio == 'default' ){ echo 'selected'; } ?> value="default"><?php esc_html_e('Default','raute'); ?></option>

                                    <option <?php if( $twp_aspect_ratio == 'square' ){ echo 'selected'; } ?> value="square"><?php esc_html_e('Square','raute'); ?></option>

                                    <option <?php if( $twp_aspect_ratio == 'portrait' ){ echo 'selected'; } ?> value="portrait"><?php esc_html_e('  Portrait','raute'); ?></option>

                                    <option <?php if( $twp_aspect_ratio == 'landscape' ){ echo 'selected'; } ?> value="landscape"><?php esc_html_e('Landscape','raute'); ?></option>

                                </select>

                            </div>

                        </div>

                    </div>

                <?php endif; ?>

                <?php if( $post_type == 'post' && class_exists('Booster_Extension_Class') ):

                    
                    $raute_ed_post_views = esc_html( get_post_meta( $post->ID, 'raute_ed_post_views', true ) );
                    $raute_ed_post_read_time = esc_html( get_post_meta( $post->ID, 'raute_ed_post_read_time', true ) );
                    $raute_ed_post_like_dislike = esc_html( get_post_meta( $post->ID, 'raute_ed_post_like_dislike', true ) );
                    $raute_ed_post_author_box = esc_html( get_post_meta( $post->ID, 'raute_ed_post_author_box', true ) );
                    $raute_ed_post_social_share = esc_html( get_post_meta( $post->ID, 'raute_ed_post_social_share', true ) );
                    $raute_ed_post_reaction = esc_html( get_post_meta( $post->ID, 'raute_ed_post_reaction', true ) );
                    $raute_ed_post_rating = esc_html( get_post_meta( $post->ID, 'raute_ed_post_rating', true ) );
                    ?>

                    <div id="twp-tab-booster-content" class="metabox-content-wrap">

                        <div class="metabox-opt-panel">

                            <h3 class="meta-opt-title"><?php esc_html_e('Booster Extension Plugin Content','raute'); ?></h3>

                            <div class="metabox-opt-wrap twp-checkbox-wrap">

                                <input type="checkbox" id="raute-ed-post-views" name="raute_ed_post_views" value="1" <?php if( $raute_ed_post_views ){ echo "checked='checked'";} ?>/>
                                <label for="raute-ed-post-views"><?php esc_html_e( 'Disable Post Views','raute' ); ?></label>

                            </div>

                            <div class="metabox-opt-wrap twp-checkbox-wrap">

                                <input type="checkbox" id="raute-ed-post-read-time" name="raute_ed_post_read_time" value="1" <?php if( $raute_ed_post_read_time ){ echo "checked='checked'";} ?>/>
                                <label for="raute-ed-post-read-time"><?php esc_html_e( 'Disable Post Read Time','raute' ); ?></label>

                            </div>

                            <div class="metabox-opt-wrap twp-checkbox-wrap">

                                <input type="checkbox" id="raute-ed-post-like-dislike" name="raute_ed_post_like_dislike" value="1" <?php if( $raute_ed_post_like_dislike ){ echo "checked='checked'";} ?>/>
                                <label for="raute-ed-post-like-dislike"><?php esc_html_e( 'Disable Post Like Dislike','raute' ); ?></label>

                            </div>

                            <div class="metabox-opt-wrap twp-checkbox-wrap">

                                <input type="checkbox" id="raute-ed-post-author-box" name="raute_ed_post_author_box" value="1" <?php if( $raute_ed_post_author_box ){ echo "checked='checked'";} ?>/>
                                <label for="raute-ed-post-author-box"><?php esc_html_e( 'Disable Post Author Box','raute' ); ?></label>

                            </div>

                            <div class="metabox-opt-wrap twp-checkbox-wrap">

                                <input type="checkbox" id="raute-ed-post-social-share" name="raute_ed_post_social_share" value="1" <?php if( $raute_ed_post_social_share ){ echo "checked='checked'";} ?>/>
                                <label for="raute-ed-post-social-share"><?php esc_html_e( 'Disable Post Social Share','raute' ); ?></label>

                            </div>

                            <div class="metabox-opt-wrap twp-checkbox-wrap">

                                <input type="checkbox" id="raute-ed-post-reaction" name="raute_ed_post_reaction" value="1" <?php if( $raute_ed_post_reaction ){ echo "checked='checked'";} ?>/>
                                <label for="raute-ed-post-reaction"><?php esc_html_e( 'Disable Post Reaction','raute' ); ?></label>

                            </div>

                            <div class="metabox-opt-wrap twp-checkbox-wrap">

                                <input type="checkbox" id="raute-ed-post-rating" name="raute_ed_post_rating" value="1" <?php if( $raute_ed_post_rating ){ echo "checked='checked'";} ?>/>
                                <label for="raute-ed-post-rating"><?php esc_html_e( 'Disable Post Rating','raute' ); ?></label>

                            </div>

                        </div>

                    </div>

                <?php endif; ?>
                
            </div>

        </div>  
            
    <?php }
endif;

// Save metabox value.
add_action( 'save_post', 'raute_save_post_meta' );

if( ! function_exists( 'raute_save_post_meta' ) ):

    function raute_save_post_meta( $post_id ) {

        global $post, $raute_post_sidebar_fields;

        if( !isset( $_POST[ 'raute_post_meta_nonce' ] ) || !wp_verify_nonce( sanitize_text_field( wp_unslash( $_POST['raute_post_meta_nonce'] ) ), basename( __FILE__ ) ) ){

            return;

        }

        if( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ){

            return;

        }
            
        if( isset(  $_POST['post_type'] ) && 'page' == $_POST['post_type'] ) {  

            if ( !current_user_can( 'edit_page', $post_id ) ){  

                return $post_id;

            }

        }elseif( !current_user_can( 'edit_post', $post_id ) ) {

            return $post_id;

        }

        foreach ( $raute_post_sidebar_fields as $raute_post_sidebar_field ) {  
            
            $old = esc_attr( get_post_meta( $post_id, 'raute_post_sidebar_option', true ) ); 
            $new = sanitize_text_field( wp_unslash( $_POST['raute_post_sidebar_option'] ) );

            if ( $new && $new != $old ){

                update_post_meta ( $post_id, 'raute_post_sidebar_option', $new );

            }elseif( '' == $new && $old ) {

                delete_post_meta( $post_id,'raute_post_sidebar_option', $old );

            }
            
        }

        $twp_disable_ajax_load_next_post_old = esc_attr( get_post_meta( $post_id, 'twp_disable_ajax_load_next_post', true ) ); 

        $twp_disable_ajax_load_next_post_new = '';

        if( isset( $_POST['twp_disable_ajax_load_next_post'] ) ){
            $twp_disable_ajax_load_next_post_new = raute_sanitize_meta_pagination( wp_unslash( $_POST['twp_disable_ajax_load_next_post'] ) );
        }

        if( $twp_disable_ajax_load_next_post_new && $twp_disable_ajax_load_next_post_new != $twp_disable_ajax_load_next_post_old ){

            update_post_meta ( $post_id, 'twp_disable_ajax_load_next_post', $twp_disable_ajax_load_next_post_new );

        }elseif( '' == $twp_disable_ajax_load_next_post_new && $twp_disable_ajax_load_next_post_old ) {

            delete_post_meta( $post_id,'twp_disable_ajax_load_next_post', $twp_disable_ajax_load_next_post_old );

        }

        $raute_ed_feature_image_old = absint( get_post_meta( $post_id, 'raute_ed_feature_image', true ) );

        $raute_ed_feature_image_new = '';
        if( isset( $_POST['raute_ed_feature_image'] ) ){
            $raute_ed_feature_image_new = absint( wp_unslash( $_POST['raute_ed_feature_image'] ) );
        }

        if ( $raute_ed_feature_image_new && $raute_ed_feature_image_new != $raute_ed_feature_image_old ){

            update_post_meta ( $post_id, 'raute_ed_feature_image', $raute_ed_feature_image_new );

        }elseif( '' == $raute_ed_feature_image_new && $raute_ed_feature_image_old ) {

            delete_post_meta( $post_id,'raute_ed_feature_image', $raute_ed_feature_image_old );

        }

        $raute_ed_post_views_old = absint( get_post_meta( $post_id, 'raute_ed_post_views', true ) );

        $raute_ed_post_views_new = '';
        if( isset( $_POST['raute_ed_post_views'] ) ){

            $raute_ed_post_views_new = absint( wp_unslash( $_POST['raute_ed_post_views'] ) );

        }

        if( $raute_ed_post_views_new && $raute_ed_post_views_new != $raute_ed_post_views_old ){

            update_post_meta ( $post_id, 'raute_ed_post_views', $raute_ed_post_views_new );

        }elseif( '' == $raute_ed_post_views_new && $raute_ed_post_views_old ) {

            delete_post_meta( $post_id,'raute_ed_post_views', $raute_ed_post_views_old );

        }

        $raute_ed_post_read_time_old = absint( get_post_meta( $post_id, 'raute_ed_post_read_time', true ) );

        $raute_ed_post_read_time_new = '';
        if( isset( $_POST['raute_ed_post_read_time'] ) ){

            $raute_ed_post_read_time_new = absint( wp_unslash( $_POST['raute_ed_post_read_time'] ) );

        }

        if( $raute_ed_post_read_time_new && $raute_ed_post_read_time_new != $raute_ed_post_read_time_old ){

            update_post_meta ( $post_id, 'raute_ed_post_read_time', $raute_ed_post_read_time_new );

        }elseif( '' == $raute_ed_post_read_time_new && $raute_ed_post_read_time_old ) {

            delete_post_meta( $post_id,'raute_ed_post_read_time', $raute_ed_post_read_time_old );

        }

        $raute_ed_post_like_dislike_old = absint( get_post_meta( $post_id, 'raute_ed_post_like_dislike', true ) );

        $raute_ed_post_like_dislike_new = '';
        if( isset( $_POST['raute_ed_post_like_dislike'] ) ){

            $raute_ed_post_like_dislike_new = absint( wp_unslash( $_POST['raute_ed_post_like_dislike'] ) );

        }

        if( $raute_ed_post_like_dislike_new && $raute_ed_post_like_dislike_new != $raute_ed_post_like_dislike_old ){

            update_post_meta ( $post_id, 'raute_ed_post_like_dislike', $raute_ed_post_like_dislike_new );

        }elseif( '' == $raute_ed_post_like_dislike_new && $raute_ed_post_like_dislike_old ) {

            delete_post_meta( $post_id,'raute_ed_post_like_dislike', $raute_ed_post_like_dislike_old );

        }

        $raute_ed_post_author_box_old = absint( get_post_meta( $post_id, 'raute_ed_post_author_box', true ) );

        $raute_ed_post_author_box_new = '';
        if( isset( $_POST['raute_ed_post_like_dislike'] ) ){

            $raute_ed_post_author_box_new = absint( wp_unslash( $_POST['raute_ed_post_like_dislike'] ) );

        }

        if( $raute_ed_post_author_box_new && $raute_ed_post_author_box_new != $raute_ed_post_author_box_old ){

            update_post_meta ( $post_id, 'raute_ed_post_author_box', $raute_ed_post_author_box_new );

        }elseif( '' == $raute_ed_post_author_box_new && $raute_ed_post_author_box_old ) {

            delete_post_meta( $post_id,'raute_ed_post_author_box', $raute_ed_post_author_box_old );

        }

        $raute_ed_post_social_share_old = absint( get_post_meta( $post_id, 'raute_ed_post_social_share', true ) );

        $raute_ed_post_social_share_new = '';
        if( isset( $_POST['raute_ed_post_social_share'] ) ){

            $raute_ed_post_social_share_new = absint( wp_unslash( $_POST['raute_ed_post_social_share'] ) );

        }

        if( $raute_ed_post_social_share_new && $raute_ed_post_social_share_new != $raute_ed_post_social_share_old ){

            update_post_meta ( $post_id, 'raute_ed_post_social_share', $raute_ed_post_social_share_new );

        }elseif( '' == $raute_ed_post_social_share_new && $raute_ed_post_social_share_old ) {

            delete_post_meta( $post_id,'raute_ed_post_social_share', $raute_ed_post_social_share_old );

        }

        $raute_ed_post_reaction_old = absint( get_post_meta( $post_id, 'raute_ed_post_reaction', true ) );

        $raute_ed_post_reaction_new = '';
        if( isset( $_POST['raute_ed_post_reaction'] ) ){

            $raute_ed_post_reaction_new = absint( wp_unslash( $_POST['raute_ed_post_reaction'] ) );

        }

        if( $raute_ed_post_reaction_new && $raute_ed_post_reaction_new != $raute_ed_post_reaction_old ){

            update_post_meta ( $post_id, 'raute_ed_post_reaction', $raute_ed_post_reaction_new );

        }elseif( '' == $raute_ed_post_reaction_new && $raute_ed_post_reaction_old ) {

            delete_post_meta( $post_id,'raute_ed_post_reaction', $raute_ed_post_reaction_old );

        }

        $raute_ed_post_rating_old = absint( get_post_meta( $post_id, 'raute_ed_post_rating', true ) );

        $raute_ed_post_rating_new = '';
        if( isset( $_POST['raute_ed_post_rating'] ) ){

            $raute_ed_post_rating_new = absint( wp_unslash( $_POST['raute_ed_post_rating'] ) );

        }

        if ( $raute_ed_post_rating_new && $raute_ed_post_rating_new != $raute_ed_post_rating_old ){

            update_post_meta ( $post_id, 'raute_ed_post_rating', $raute_ed_post_rating_new );

        }elseif( '' == $raute_ed_post_rating_new && $raute_ed_post_rating_old ) {

            delete_post_meta( $post_id,'raute_ed_post_rating', $raute_ed_post_rating_old );

        }

        $twp_aspect_ratio_old = esc_attr( get_post_meta( $post_id, 'twp_aspect_ratio', true ) );

        $twp_aspect_ratio_new = '';
        if( isset( $_POST['twp_aspect_ratio'] ) ){

            $twp_aspect_ratio_new = esc_attr( wp_unslash( $_POST['twp_aspect_ratio'] ) );

        }

        if( $twp_aspect_ratio_new && $twp_aspect_ratio_new != $twp_aspect_ratio_old ){

            update_post_meta ( $post_id, 'twp_aspect_ratio', $twp_aspect_ratio_new );

        }elseif( '' == $twp_aspect_ratio_new && $twp_aspect_ratio_old ) {

            delete_post_meta( $post_id,'twp_aspect_ratio', $twp_aspect_ratio_old );

        }


    }

endif;   